View Issue Details

IDProjectCategoryView StatusLast Update
0000013Siril[All Projects] Sirilpublic2017-11-20 23:40
Reporterlock42Assigned Tovinvin 
PrioritylowSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version0.9.0rc1 
Target Version1.0.0Fixed in Version1.0.0 
Summary0000013: Pixel aspect is blurred
DescriptionRemove blurred display of pixels when zooming. This leads to a loss of accuracy.
TagsGtk

Relationships

child of 0000165 assignedvinvin Switch to VIPS rendering 

Activities

vinvin

2015-06-18 11:00

administrator   ~0000006

It turns out that this cannot be solved with the current display system. Cairo is a vectorial system, and doesn't zoom on pixels. Siril 0.9 is actually not using the correct way to manage zoom on displayed images. Instead, the pixbuf should be scaled before paint, which probably implies using tiling. That would require some rewrite of the image drawing code.

A recent project, GEGL, has been created to manage non destructive image processing and fast displaying of images for GIMP. It supports many pixel depth, multithreading, even OpenCL if available, and many filters. Using this project in Siril would require a large rewrite of the display code, which would remove the need to remap images to 8 bits for display which is responsible for the sluggishness of Siril. The result would be faster display, simpler code, delegation of issues to a third party, but management of this third party integration too. GEGL has just been released in version 0.3.0, it's still in development, but already in debian stable with version 0.2.0.
See http://gegl.org/

vinvin

2017-11-20 23:40

administrator   ~0000419

Fixed with the greap vips library ( https://jcupitt.github.io/libvips/ - see 0000165)!

Issue History

Date Modified Username Field Change
2015-06-16 14:58 lock42 New Issue
2015-06-16 16:03 lock42 Tag Attached: dispkay
2015-06-16 16:03 lock42 Tag Attached: Gtk
2015-06-16 16:05 lock42 Status new => confirmed
2015-06-17 15:05 vinvin Assigned To => vinvin
2015-06-17 15:05 vinvin Status confirmed => assigned
2015-06-18 11:00 vinvin Note Added: 0000006
2015-06-18 11:00 vinvin Assigned To vinvin =>
2015-06-18 11:00 vinvin Priority high => low
2015-06-18 11:00 vinvin Severity minor => feature
2015-06-18 11:00 vinvin Reproducibility always => N/A
2015-06-18 11:00 vinvin Status assigned => confirmed
2015-06-18 11:00 vinvin OS Debian =>
2015-06-18 11:00 vinvin OS Version Testing =>
2015-06-18 11:00 vinvin Platform GNU/Linux 64bits =>
2015-06-18 11:00 vinvin Product Version 0.9.0 =>
2015-06-18 11:00 vinvin Target Version 0.9.0 => 1.0.0
2015-06-18 11:00 vinvin Description Updated View Revisions
2015-06-18 11:01 vinvin Relationship added parent of 0000006
2015-06-21 13:19 lock42 Relationship added parent of 0000001
2015-08-06 11:51 lock42 Relationship added parent of 0000056
2015-08-13 10:51 lock42 Product Version => 0.9.0rc1
2016-04-18 14:32 vinvin Relationship added parent of 0000014
2016-11-26 20:33 vinvin Relationship deleted parent of 0000001
2016-11-26 20:34 vinvin Relationship deleted parent of 0000006
2016-11-26 20:35 vinvin Relationship deleted parent of 0000014
2016-11-26 20:37 vinvin Relationship added child of 0000165
2016-11-26 20:37 vinvin Relationship deleted parent of 0000056
2016-11-26 20:39 vinvin Assigned To => vinvin
2016-11-26 20:39 vinvin Status confirmed => assigned
2016-12-19 16:32 lock42 Category General => Software Development
2016-12-19 16:50 lock42 Category Software Development => Software
2016-12-19 23:30 lock42 Category Software => Siril
2017-11-20 23:40 vinvin Tag Detached: dispkay
2017-11-20 23:40 vinvin Status assigned => resolved
2017-11-20 23:40 vinvin Resolution open => fixed
2017-11-20 23:40 vinvin Fixed in Version => 1.0.0
2017-11-20 23:40 vinvin Note Added: 0000419